<?php
/**
 * Class MassDeleteEmailAliasForm
 * User: Nessandro
 * Date: 2019-10-11
 * Time: 11:30
 * @package ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAlias\Forms
 */

namespace ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAlias\Forms;


use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\DistributionList\Providers\DeleteListDataProvider;
use ModulesGarden\Servers\ZimbraEmail\App\UI\Client\EmailAlias\Providers\DeleteEmailAliasDataProvider;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\Servers\ZimbraEmail\Core\UI\Widget\Forms\FormConstants;

class MassDeleteEmailAliasForm extends BaseForm implements ClientArea
{
    protected $id    = 'deleteAccountForm';
    protected $name  = 'deleteAccountForm';
    protected $title = 'deleteAccountForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteEmailAliasDataProvider();

        $this->setConfirmMessage('massDeleteEmailAliasModalConfirm');


        $this->loadDataToForm();
    }

}